package labsessions;
//Import Statements
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class TemperatureWidget extends JFrame {

	//Class Declarations
	JLabel fahrenheitLabel,celsiusLabel;
	JTextField fahrenheitText,celsiusText;
	JButton button;
	ButtonHandler handler = null;
	ATConversorInterface atConversor = null;
	
	//Constructor
	public TemperatureWidget(ATConversorInterface at) {
		super("Temperature Widget");
		fahrenheitText = new JTextField("",14);
		fahrenheitLabel = new JLabel("Fahrenheit");
		button = new JButton(">>");
		celsiusText = new JTextField("",14);
		celsiusText.setEditable(false);
		celsiusLabel = new JLabel("Celsius");
		Container container = getContentPane();
		container.setLayout(new FlowLayout());
		container.add(fahrenheitText);
		container.add(fahrenheitLabel);
		container.add(button);
		container.add(celsiusText);
		container.add(celsiusLabel);
		handler = new ButtonHandler();
		button.addActionListener(handler);
		setSize(580, 60);
		setVisible(true);
		atConversor = at;	
	}
	
	public void setCelsiusTemperature (Double temperature) {
		celsiusText.setText(Double.toString(temperature));
	}
	
	//Inner Class ButtonHandler
	private class ButtonHandler implements ActionListener {

		public void actionPerformed(ActionEvent e) {
			String fahrenheitTemp = fahrenheitText.getText();
			// convert the temperature in AmbientTalk
			// Next line has to be done in AmbientTalk 
			double res = atConversor.calculateCelsius(Integer.parseInt(fahrenheitTemp));
			setCelsiusTemperature(res);
		}
	}
}// End of class TextFieldTest